Awesome 3.5 references .net 4.0

Jun 9, 2011 at 12:42 PM

Hello,

first of all I'd like to thank you everybody for the great work and effort.

However I've encountered some problems when trying to use awesome with .net 3.5. I downloaded the 3.5 zipped version, but the dlls seem to refer to the 4.0 version of the framework. In fact, I had to download the 1.7.5 version to be able to add the references to my project (which is targeted to .net 3.5). However this version seems to lack some features I initially looked at awesome for, such as the DropdownFor helper method. Perhaps I'm missing something?

Coordinator
Jun 9, 2011 at 12:44 PM
Edited Jun 9, 2011 at 12:57 PM

the .net 3.5 version doesn't has some helpers ending with For

you can try and download the SimpleDemo for .net 3.5 (but it's on VS2010)

the source code for 3.5 is here: https://awesome35.googlecode.com/svn/trunk

Coordinator
Jun 9, 2011 at 1:04 PM
Edited Jun 9, 2011 at 1:04 PM

I've replaced the download for awesome 3.5, please try it and tell me if it worked for you

Jun 9, 2011 at 6:32 PM

Hi again,

yes it's working now, many thanks :D
Btw, why is it that the "For" helpers are only available for the 4.0 framework? Something specific with the api? Just wondering, no critic intended :D

Coordinator
Jun 10, 2011 at 5:49 AM

I'm not sure I've tuned it to the 3.5 version in less than a day, basically all the helpers from 4.0 have lots of parameters, so it's hard to use them anyway, so I deleted those that couldn't compile because of 3.5